// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_mobile

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// PushUpServiceClient is the client API for PushUpService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type PushUpServiceClient interface {
	SendToken(ctx context.Context, in *order.SendTokenRequest, opts ...grpc.CallOption) (*order.SendTokenResponse, error)
	RemoveToken(ctx context.Context, in *order.RemoveTokenRequest, opts ...grpc.CallOption) (*order.RemoveTokenResponse, error)
}

type pushUpServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPushUpServiceClient(cc grpc.ClientConnInterface) PushUpServiceClient {
	return &pushUpServiceClient{cc}
}

func (c *pushUpServiceClient) SendToken(ctx context.Context, in *order.SendTokenRequest, opts ...grpc.CallOption) (*order.SendTokenResponse, error) {
	out := new(order.SendTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PushUpService/SendToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pushUpServiceClient) RemoveToken(ctx context.Context, in *order.RemoveTokenRequest, opts ...grpc.CallOption) (*order.RemoveTokenResponse, error) {
	out := new(order.RemoveTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.PushUpService/RemoveToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PushUpServiceServer is the server API for PushUpService service.
// All implementations must embed UnimplementedPushUpServiceServer
// for forward compatibility
type PushUpServiceServer interface {
	SendToken(context.Context, *order.SendTokenRequest) (*order.SendTokenResponse, error)
	RemoveToken(context.Context, *order.RemoveTokenRequest) (*order.RemoveTokenResponse, error)
	mustEmbedUnimplementedPushUpServiceServer()
}

// UnimplementedPushUpServiceServer must be embedded to have forward compatible implementations.
type UnimplementedPushUpServiceServer struct {
}

func (UnimplementedPushUpServiceServer) SendToken(context.Context, *order.SendTokenRequest) (*order.SendTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendToken not implemented")
}
func (UnimplementedPushUpServiceServer) RemoveToken(context.Context, *order.RemoveTokenRequest) (*order.RemoveTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveToken not implemented")
}
func (UnimplementedPushUpServiceServer) mustEmbedUnimplementedPushUpServiceServer() {}

// UnsafePushUpServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PushUpServiceServer will
// result in compilation errors.
type UnsafePushUpServiceServer interface {
	mustEmbedUnimplementedPushUpServiceServer()
}

func RegisterPushUpServiceServer(s grpc.ServiceRegistrar, srv PushUpServiceServer) {
	s.RegisterService(&PushUpService_ServiceDesc, srv)
}

func _PushUpService_SendToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.SendTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PushUpServiceServer).SendToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PushUpService/SendToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PushUpServiceServer).SendToken(ctx, req.(*order.SendTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PushUpService_RemoveToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.RemoveTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PushUpServiceServer).RemoveToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.PushUpService/RemoveToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PushUpServiceServer).RemoveToken(ctx, req.(*order.RemoveTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// PushUpService_ServiceDesc is the grpc.ServiceDesc for PushUpService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var PushUpService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_mobile.PushUpService",
	HandlerType: (*PushUpServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SendToken",
			Handler:    _PushUpService_SendToken_Handler,
		},
		{
			MethodName: "RemoveToken",
			Handler:    _PushUpService_RemoveToken_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_mobile/pushup_token_mobile.proto",
}
